import java.awt.Frame;
import java.awt.Label;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

public class UE20Aufgabe16 {

	public static void main(String[] args) {
		Frame fenster = new Frame("Aufgabe 16");
		Label label = new Label("Cursor nicht im Fenster", Label.CENTER);
		LabelListener list = new LabelListener(label);
		label.addMouseListener(list);
		label.addMouseMotionListener(list);
		fenster.add(label);
		fenster.pack();
		fenster.setVisible(true);
	}
}

class LabelListener implements MouseListener, MouseMotionListener {

	Label label;

	LabelListener(Label l) {
		this.label = l;
	}

	@Override
	public void mouseEntered(MouseEvent e) {
		label.setText(e.getX() + ": " + e.getY());
	}

	@Override
	public void mouseExited(MouseEvent e) {
		label.setText("Cursor nicht im Fenster");
	}

	@Override
	public void mouseMoved(MouseEvent e) {
		label.setText(e.getX() + ": " + e.getY());
	}

	@Override
	public void mouseClicked(MouseEvent e) {
	}

	@Override
	public void mousePressed(MouseEvent e) {
	}

	@Override
	public void mouseReleased(MouseEvent e) {
	}

	@Override
	public void mouseDragged(MouseEvent e) {
	}

}
