
import java.util.ArrayList;

class Queue extends Stack implements Container {

	public int get() {
		Stack dummy = new Stack();
		while (!this.isEmpty()) {
			dummy.put(super.get());
		}
		int result = dummy.get();
		while (!dummy.isEmpty()) {
			super.put(dummy.get());
		}
		return result;
	}
}

interface Container {
	public void put(int value); // einfuegen

	public int get(); // rausholen

	public boolean isEmpty(); // ist leer?

	public boolean isFull(); // ist voll?
}

class Stack implements Container {

	private ArrayList<Integer> values = new ArrayList<Integer>();

	final public void put(int value) {
		values.add(value);
	}

	public int get() {
		return values.remove(values.size() - 1);
	}

	final public boolean isEmpty() {
		return values.size() == 0;
	}

	final public boolean isFull() {
		return false;
	}

}

public class UE20Aufgabe41 {
	public static void main(String[] args) {
		Queue queue = new Queue();
		queue.put(23);
		queue.put(43);
		queue.put(22);
		queue.put(88);
		while (!queue.isEmpty()) {
			IO.println(queue.get());
		}
	}
}