package iodemo;

import java.util.ArrayList;


public class IOThread extends Thread {
	
	MFrame frame;
	
	
	public IOThread(MFrame obj) {
		frame = obj;
	}

	public void run() {
		while (true) {
			int wert = IO.readInt();
			ArrayList comps = frame.getComponents();
			for (Object obj : comps) {
				MComponent comp = (MComponent)obj;
				ArrayList listeners = comp.getIOListener();
				IOObject ioObj = new IOObject(wert);
				for (Object lObj : listeners) {
					IOListener listener = (IOListener)lObj;
					listener.inputEntered(ioObj);
				}
			}
			
		}
	}
}
